Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.numeric.cvode
Class N_Vector

    java.lang.Object
      com.sun.jna.Structure
          de.grogra.numeric.cvode.N_Vector

Direct Known Subclasses:
  N_Vector.ByReference, N_Vector.ByValue

    public class N_Vector

extends com.sun.jna.Structure

This structure represents an N-dimensional vector of double.

Author:
  Reinhard Hemmerling

Nested Class Summary
`static class` | `N_Vector._N_VectorContent_Serial`
`static class` | `N_Vector.ByReference`
`static class` | `N_Vector.ByValue`

Field Summary
`com.sun.jna.Pointer` | `content`
`com.sun.jna.Pointer` | `ops`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`N_Vector()`

Method Summary
`void` | `get(double[] data)` Copy complete vector into the memory provided by data.
`double` | `get(int index)` Return the element designated by index from the vector.
`int` | `getLength()` Return the number of elements in this vector.
`void` | `set(double[] data)` Set the complete vector to the memory provided by data.
`void` | `set(int index, double value)` Set the element designated by index to value.

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldOrder, getFields, getFieldTypeInfo, getNativeAlignment, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### content

    public com.sun.jna.Pointer content

### ops

    public com.sun.jna.Pointer ops

Constructor Detail

### N_Vector

    public N_Vector()

Method Detail

### get

    public void get(double[] data)

  Copy complete vector into the memory provided by data.

  Parameters:
    `data` -

### get

    public double get(int index)

  Return the element designated by index from the vector.

  Parameters:
    `index` -
  Returns:

### getLength

    public int getLength()

  Return the number of elements in this vector.

  Returns:

### set

    public void set(double[] data)

  Set the complete vector to the memory provided by data.

  Parameters:
    `data` -

### set

    public void set(int index,
                    double value)

  Set the element designated by index to value.

  Parameters:
    `index` -
    `value` -

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD